Subject: [nmrg] FW: New Version Notification for draft-li-nmrg-intent-classification-01.txt

From: "Liushucheng (Will Liu)" <[email-masked]>
Date: Mon, 8 Jul 2019 17:55:20 +0000

Hi,

We’ve just uploaded to -01 version of intent classification draft according to comments in the list and offline discussions. 

Updates:
1.	Addressed Brain’s comments about “Management personnel, such as network Administrators, have complete knowledge of the underlying network.”
2.	Added a table in section 3.2 with more details about solutions and intent users that intent driven networking needs to support
3.	Added section 6 Involvement of intents in the application of AI to NM provided by Pedro
4.	Added 5.3 to explain the road map of network management evolution with intent
5.	Moved the section of Policy Continuum after the section Functional Characteristics and Behavior
6.	Updated references, contributor list, acknowledgement
7.	Fixed document format and typos

There are still some comments not addressed:
1.	Adding solid use cases from Brain. 
2.	Provide a framework for further intent evolution from Diego 
A new written draft about intent architecture is going to address these two comments. 

Your comments and contributions are welcome!.

Regards, / 致礼! 
Will LIU  / 刘树成

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, July 8, 2019 6:48 PM
To: Liushucheng (Will Liu) <[email-masked]>; Chen Li <[email-masked]>; Jeferson Campos Nobre <[email-masked]>; John Strassner <[email-masked]>; Diego Lopez <[email-masked]>; Ying Cheng <[email-masked]>; Diego R. Lopez <[email-masked]>; Liushucheng (Will Liu) <[email-masked]>; Jeferson Nobre <[email-masked]>; Olga Havel <[email-masked]>; Pedro Martinez-Julia <[email-masked]>
Subject: New Version Notification for draft-li-nmrg-intent-classification-01.txt

A new version of I-D, draft-li-nmrg-intent-classification-01.txt
has been successfully submitted by Will(Shucheng) Liu and posted to the IETF repository.

Name:		draft-li-nmrg-intent-classification
Revision:	01
Title:		Intent Classification
Document date:	2019-07-09
Group:		Individual Submission
Pages:		17
URL:            https://www.ietf.org/internet-drafts/draft-li-nmrg-intent-classification-01.txt
Status:         https://datatracker.ietf.org/doc/draft-li-nmrg-intent-classification/
Htmlized:       https://tools.ietf.org/html/draft-li-nmrg-intent-classification-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-li-nmrg-intent-classification
Diff:           https://www.ietf.org/rfcdiff?url2=draft-li-nmrg-intent-classification-01

Abstract:
   RFC7575 defines Intent as an abstract high-level policy used to
   operate the network. Intent management system includes an interface
   for users to input requests and an engine to translate the intents
   into the network configuration and manage their lifecycle. Up to
   now, there is no commonly agreed definition, interface or model of
   intent.

   This document discusses what intent means to different stakeholders,
   describes different ways to classify intent, and an associated
   taxonomy of this classification. This is a foundation for discussion
   intent related topics.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat